package cn.sxt.game_zyt;

import javax.swing.JFrame;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.*;

/**
 * ɻСϷ0.2汾
 * 
 * @author zyt
 *
 *0.2汾
 */

public class PlaneGameFrame extends JFrame {
	public static final int WIDTH = 700;
	public static final int HEIGHT = 700;
	private Image imageBG = null;
	
	//public Plane p = new Plane(50, 300);
	
	private Image bg = GameUtil.getImage("images/bg.jpg");
	private Image plane = GameUtil.getImage("images/plane.png");
	
	int x = 50;
	int y = 300;
	
	public static void main(String[] zyt) {
		PlaneGameFrame pg = new PlaneGameFrame();
		pg.launchFrame();
	}
	
	public void launchFrame() {
		this.setTitle("ѧѧԱ_");
		this.setSize(WIDTH, HEIGHT);
		this.setLocation(500, 200);
		this.setResizable(false);
		
		new Thread(new repaintThread()).start();
		
		this.setVisible(true);
		
		this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent arg0) {
				System.exit(0);
			}
		});
	}

	public void paint(Graphics g) {
		g.drawImage(bg, 0, 0, null);
		g.drawImage(plane, x, y, null);
		
		x += 5;
	}
	
	//˫
	public void update(Graphics g) {
		
		if(imageBG == null) imageBG = this.createImage(WIDTH, HEIGHT);

		Graphics bgImage = imageBG.getGraphics();
		//bgImage.drawImage(bg, 0, 0, null);
		paint(bgImage);
		g.drawImage(imageBG, 0, 0, null);
	}
	
	//ػ߳
	class repaintThread implements Runnable {
		public void run() {
			while(true) {
				try {
					Thread.sleep(40);
					repaint();
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
	}
}
